import React from "react";
import UIConstants from "../../../utils/ui.constants";

function getLegendItem(section, index) {
    return <div className="section" key={"section-" + index}>
        <label className="col-2"
               title={section.subtitle ? section.subtitle : section.title}>{section.title}:</label>
        {section.elements.map((element, index) => <div className={`su-legend ${element.classKey}`}
                                                       key={element.classKey + "-" + index}
                                                       title={element.title ? element.title : element.value}>
            {element.value}
        </div>)}
    </div>
}

export default function Legendbar(props) {
    return <div className={props.className}>
        <div className="legend-header">Legend</div>
        <div className="p-grid legendbar">
            <div className="left">
                {UIConstants.LEGEND_INFO.slice(0, 4).map((section, index) => getLegendItem(section, index))}
            </div>
            <div className="right">
                {UIConstants.LEGEND_INFO.slice(4).map((section, index) => getLegendItem(section, index))}
            </div>
        </div>
    </div>
}